PUT

Update Custom Message

Early Preview

This API is in early preview and may be subject to change. Please contact your account manager if you are interested in trying the Branding API.

Use this API to update a custom error message. At this time, it is not possible to create a new custom message, only to modify existing messages.




Resource URL

https://<api-domain>/api/2/branding/brands/<brand_id>/custom_error_messages

Header Parameters

Authorization

required

string

Set to bearer <access_token>.

Set <access_token> to the access token you generated using the Generate Token API.

The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: Manage All.

In order to use the Branding API your API Credentials must be created after 21st October 2020.

Content-Type

required

string

Set to application/json.

Resource Parameters

brand_id

required

integer | master

Unique identifier for the branding object.

Request Parameters

Acceptable Parameter Combinations

Combine one parameter from the first list with any parameter(s) from the second:
  • ID
  • Type ID
  • Type Name
  • Locale
  • Title
  • Description
  • Message

id

optional

integer

Unique identifier for custom error message.

type_id

optional

integer

Type ID for the custom error message.

Acceptable values:

  • 9

type_name

optional

integer

Type name for the custom error message.

Acceptable values:

  • MESSAGE_TYPE_NO_ACCESS_APP

locale

optional

string

Locale of the custom error message.

title

optional

string

Title of the custom error message.

description

optional

string

Description of the custom error message.

message

optional

string

Custom error message.

Sample Responses

{
    "id": 1,
    "account_id": 123,
    "brand_id": 1,
    "type_id": 9,
    "locale": "en",
    "title": "message title",
    "description": "message description",
    "message": "message"
}

Postman Collection

Replace sample variables indicated by {{ }} with your actual values.

Run In Postman

    Clicking Run in Postman button navigates to the page where you can fork the collection to your workspace. Forking the collection into your workspace will enable you to contribute to the source collection using pull requests. You can also view the collection in a public workspace if you like and even import a copy of the collection using the links present on the screen.